SRCS=gleye.c tergen.c icosa.c vecmath.c carpet.c sphere.c \
	gloutils.c glcam.c glhand.c globj.c laminate.c text.c fps.c
PRGS=eyetest.c

SONA=null

INCS=-I/usr/X11R6/include
LIBS=-L/usr/X11R6/lib -lGL -lGLU -lglut -lX11 -lm -lXmu

###############################################################################

OBJS=$(SRCS:.c=.o)
EXES=$(PRGS:.c=.exe)
CEXE=$(PRGS:.c=.o)

CC=gcc
CFLAGS=-g -Wall -pipe $(INCS)

all: depend $(EXES)
	@echo "OK"

depend: Mkdeps

Mkdeps:
	touch Mkdeps
	makedepend -f Mkdeps -- $(CFLAGS) -- $(SRCS) $(PRGS) -- $(INCS) -D__GNUG__

ifeq ($(SONA),null)
SOFI=$(OBJS)
SLNK=$(OBJS)
else
SOFI=lib$(SONA).so
SLNK=-L. -l$(SONA)
lib$(SONA).so: $(OBJS)
	gcc -shared -o $@ $(OBJS)
endif

$(EXES): %.exe: %.o $(SOFI)
	$(CC) $(CFLAGS) $< -o $@ $(OBJS) $(INCS) $(LIBS)

$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@ $(INCS)

clean:
	rm -f Mkdeps $(OBJS) $(EXES) $(SOFI) $(CEXE) *~

